// Copyright  1992-1993 Emergent Behavior. All rights reserved.

#ifndef _TLANDERVIEW_
#define _TLANDERVIEW_

#ifndef _TLANDERDOCUMENT_
	#include "TLanderDocument.h"
#endif
//=================================================================
class TLanderView : public TBufferedView {
public:
							TLanderView(Point size, 
										TDocument* theDoc,
										Scalar initialAltitude);
	virtual 				~TLanderView();
protected:
	virtual TSystem*		GetSystem();
	virtual TSESpaceship*	GetShip();
	virtual void			UpdateValues();
  // overrides
	virtual void			Draw();
	virtual	void			DoKeyCommand(char key);
	virtual	void			DoMakeItems();
private:
	TPicture*		fBackgroundPicture;
	TPicture*		fShipPicture;
	TText*			fAltitudeText;
	TText*			fSpeedText;
	TText*			fFuelText;
	TText*			fThrustText;
	TText*			fTimeText;
	TThrustForce	fThrust;
	Scalar			fInitialAltitude;
	enum {kShipHeight = 40 };
};

//=================================================================
#endif
